package cn.com.ctop.toutiao.modules.report.service;

import cn.com.ctop.toutiao.modules.report.entity.BytedanceCreativeDailyReport;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 广告创意日报表信息
 * @Author: jeecg-boot
 * @Date: 2019-09-11
 * @Version: V1.0
 */
public interface IBytedanceCreativeDailyReportService extends IService<BytedanceCreativeDailyReport> {

    List<BytedanceCreativeDailyReport> bytedanceCreativeDailyReportList(JSONObject json);

    List<BytedanceCreativeDailyReport> bytedanceCreativeAccountReportList(JSONObject json);

    List<String> getSignatureList();

    void replaceBatch(List<BytedanceCreativeDailyReport> dailyReports);

    void calculationMaterialReport(String signature);
}
